Bug 128935 - Nautilus cannot browse share if workgroup has a space in the name
Summary: Nautilus cannot browse share if workgroup has a space in the name
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-01 08:19 UTC by Jared
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 21:30:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jared 2004-08-01 08:19:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
If an smb share is a member of a workgroup that has a space in the
name, then when browsing to it in nautilus and then attempting to open
the share, it does not recognise it as a samba share and pops up a
dialog box with the following error message:

>The filename "CARL" indicates that this file is of type "(null)". The
>contents of the file indicate that the file is of type "Samba share".
>If you open this file, the file might present a security risk to your
>system.

>Do not open the file unless you created the file yourself, or
>received the file from a trusted source. To open the file, rename the
>file to the correct extension for "Samba share", then open the file
>normally. Alternatively, use the Open With menu to choose a specific
>application for the file. 

I have checked this with smb shares that do not have a space in the
workgroup name and they work perfectly

Version-Release number of selected component (if applicable):
nautilus-2.6.0-4

How reproducible:
Always

Steps to Reproduce:
1.Open Computer
2.Open Network
3.Open Windows Network
4.Open Workgroup with Space in Name
5.Attempt to open a share
    

Actual Results:  The above error dialog appeared

Expected Results:  The share should have opened

Additional info:

Comment 1 Alexander Larsson 2004-10-05 13:23:27 UTC
Likely a gnome-vfs2 smb-method bug wrt escaping.


Comment 2 Matthew Miller 2005-04-26 15:43:22 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 John Thacker 2006-04-22 21:30:32 UTC
No response from reporter for a year.  There have been a lot of fixes with
regards to escaping since this was reported.  Not a security bug, closing per
previous comment.


Note You need to log in before you can comment on or make changes to this bug.